%define _disable_ld_no_undefined 1

Summary:	Nagios Data Output Utilities
Name:		ndoutils
Version:	2.1.3
Release:	%mkrel 7
Group:		System/Servers
License:	GPL
URL:		http://www.nagios.org/
Source0:	http://downloads.sourceforge.net/nagios/ndoutils-%{version}.tar.gz
Source1:	ndo2db.service
Source2:	ndoutils.tmpfiles
Patch0:		ndoutils-2.1.2-format-security.patch
Patch1:		ndoutils-2.1.2-var-files.patch
Requires:       nagios >= 4.0
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	nagios-devel
BuildRequires:	tcp_wrappers-devel

%description
The NDOUTILS (Nagios Data Output Utils) addon allows you to move status and
even information from Nagios to a database for later retrieval and processing.

%package common
Summary:    The part common to client and server parts
Group:		System/Servers

%description common
This package contains the part common to client and server parts.

%package client
Summary:    The client part of %{name}
Group:		System/Servers
Requires:   %{name}-common = %{version}-%{release}

%description client
This package contains the client part of NDOUTILS (Nagios Data Output Utils).

%package server
Summary:    The server part of %{name}
Group:		System/Servers
Requires:   %{name}-common = %{version}-%{release}

%description server
This package contains the server part of NDOUTILS (Nagios Data Output Utils).

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%serverbuild

%configure \
   --bindir=%{_sbindir} \
   --sysconfdir=%{_sysconfdir}/nagios

%make_build all

%install
install -d %{buildroot}%{_libdir}/nagios/brokers
install -d %{buildroot}%{_localstatedir}/log/nagios
install -d %{buildroot}%{_localstatedir}/cache/ndoutils

%make_install INSTALL_OPTS=""

mv %{buildroot}%{_sbindir}/ndomod.o \
    %{buildroot}%{_libdir}/nagios/brokers/ndomod.so

make install-config DESTDIR=%{buildroot} INSTALL_OPTS=""
mv %{buildroot}%{_sysconfdir}/nagios/ndo2db.cfg-sample \
    %{buildroot}%{_sysconfdir}/nagios/ndo2db.cfg
mv %{buildroot}%{_sysconfdir}/nagios/ndomod.cfg-sample \
    %{buildroot}%{_sysconfdir}/nagios/ndomod.cfg

install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/ndo2db.service
install -D -m 644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/ndoutils.conf

cat > README.urpmi <<EOF
Mageia RPM specific notes

post-installation
-----------------
You have to:
- create a MySQL database
- create an user with at least SELECT, INSERT, UPDATE, DELETE privileges on it
- run %{_docdir}/db/mysql.sql script
EOF


%post server
%_post_service ndo2db

%preun server
%_preun_service ndo2db

%pre common
%_pre_useradd nagios /var/log/nagios /bin/sh

%postun common
%_postun_userdel nagios

%files common
%doc db docs/* Changelog README REQUIREMENTS TODO UPGRADING
%doc config/misccommands.cfg config/nagios.cfg README.urpmi

%files client
%{_sbindir}/file2sock
%{_sbindir}/log2ndo
%{_sbindir}/sockdebug
%{_libdir}/nagios/brokers
%config(noreplace) %{_sysconfdir}/nagios/ndomod.cfg

%files server
%{_unitdir}/ndo2db.service
%{_tmpfilesdir}/ndoutils.conf
%config(noreplace) %{_sysconfdir}/nagios/ndo2db.cfg
%{_sbindir}/ndo2db


%changelog
* Thu Aug 20 2020 joequant <joequant> 2.1.3-7.mga8
+ Revision: 1616709
- remove arm workaround

* Sat Feb 15 2020 umeabot <umeabot> 2.1.3-6.mga8
+ Revision: 1526846
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jul 03 2019 guillomovitch <guillomovitch> 2.1.3-5.mga8
+ Revision: 1418014
- fix /var/run usage in tmpfile snippet

* Sun Sep 23 2018 umeabot <umeabot> 2.1.3-4.mga7
+ Revision: 1299690
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 2.1.3-3.mga7
+ Revision: 1239396
- fix build on aarch64

* Thu Dec 21 2017 guillomovitch <guillomovitch> 2.1.3-2.mga7
+ Revision: 1183662
- rebuild to fix mariadb dependency

* Thu Nov 09 2017 guillomovitch <guillomovitch> 2.1.3-1.mga7
+ Revision: 1176707
- new version 2.1.3

* Mon Feb 08 2016 umeabot <umeabot> 2.0.0-4.mga6
+ Revision: 943427
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 751197
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-2.mga5
+ Revision: 682823
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 guillomovitch <guillomovitch> 2.0.0-1.mga5
+ Revision: 659759
- new version 2.0.0

* Fri Aug 01 2014 guillomovitch <guillomovitch> 1.5.2-1.mga5
+ Revision: 658902
- new version 1.5.2

* Fri Oct 18 2013 umeabot <umeabot> 1.5.1-4.mga4
+ Revision: 508258
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 05 2012 guillomovitch <guillomovitch> 1.5.1-2.mga3
+ Revision: 288588
- use its own /run/ndo2db directory, instead of /run/nagios

* Tue Jun 05 2012 guillomovitch <guillomovitch> 1.5.1-1.mga3
+ Revision: 255982
- imported package ndoutils

